> ## Documentation Index
> Fetch the complete documentation index at: https://docs.probe.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List users



## OpenAPI

````yaml https://api.probedev.com/frontend/api/v1/openapi.json?include-base-path=true&v=2025-07-30 get /frontend/api/v1/user
openapi: 3.1.0
info:
  title: 'Probe.dev API Version: v1'
  description: Probe.dev API.
  version: v1.0
servers:
  - url: https://{host}
    variables:
      host:
        enum:
          - api.probe.dev
        default: api.probedev.com
        description: Server Hostname
security: []
tags:
  - name: Media
  - name: Auth
  - name: User
  - name: Billing
  - name: Statistics
paths:
  /frontend/api/v1/user:
    get:
      tags:
        - User
      summary: List users
      operationId: routes/user.GetUsers
      parameters:
        - name: parent-id
          in: query
          schema:
            minimum: 0
            type: integer
        - name: user-id
          in: query
          schema:
            items:
              minimum: 0
              type: integer
            type: array
          explode: true
        - name: status
          in: query
          schema:
            items:
              $ref: '#/components/schemas/UsercommonStatus'
            type: array
          explode: true
        - name: email
          in: query
          schema:
            items:
              type: string
            type: array
          explode: true
        - name: email-contains
          in: query
          schema:
            type: string
        - name: first-name
          in: query
          schema:
            examples:
              - J
            type: string
        - name: last-name
          in: query
          schema:
            examples:
              - Doe
            type: string
        - name: created
          in: query
          schema:
            $ref: '#/components/schemas/UserDateFilterParams'
          style: deepObject
          explode: true
        - name: updated
          in: query
          schema:
            $ref: '#/components/schemas/UserDateFilterParams'
          style: deepObject
          explode: true
        - name: pagination
          in: query
          schema:
            $ref: '#/components/schemas/PaginationRequest'
          style: deepObject
          explode: true
        - name: sort
          in: query
          schema:
            $ref: >-
              #/components/schemas/SortfieldSortInternalToolsUserSortFieldInternalToolsOrderfieldString
          style: deepObject
          explode: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserGetUsersResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RouterUnauthorizedError'
      security:
        - api_key_header: []
        - api_key: []
        - jwt-token: []
        - jwt-cookie: []
        - jwt: []
components:
  schemas:
    UsercommonStatus:
      enum:
        - anonymous
        - pending
        - active
        - suspended
      type: string
    UserDateFilterParams:
      properties:
        from:
          default: '2024-12-24T19:22:59.761188514Z'
          format: date-time
          type:
            - 'null'
            - string
        to:
          default: '2025-12-24T19:22:59.761188514Z'
          format: date-time
          type:
            - 'null'
            - string
      type: object
    PaginationRequest:
      properties:
        limit:
          default: 10
          format: int32
          minimum: 1
          type: integer
        page:
          default: 1
          format: int32
          minimum: 1
          type: integer
      type: object
    SortfieldSortInternalToolsUserSortFieldInternalToolsOrderfieldString:
      properties:
        field:
          $ref: '#/components/schemas/UserSortField'
        order:
          $ref: '#/components/schemas/OrderfieldString'
      type: object
    UserGetUsersResponse:
      properties:
        filter:
          $ref: '#/components/schemas/UserFilterParams'
        pagination:
          $ref: '#/components/schemas/PaginationPagination'
        sort:
          $ref: >-
            #/components/schemas/SortfieldSortInternalToolsUserSortFieldInternalToolsOrderfieldString
        users:
          items:
            $ref: '#/components/schemas/UserShortExtended'
          type:
            - array
            - 'null'
      type: object
    RouterUnauthorizedError:
      properties:
        code:
          description: Application-specific error code.
          type: integer
        context:
          additionalProperties: {}
          description: Application context.
          type: object
        error:
          description: Error message.
          type: string
        status:
          description: Status text.
          type: string
      type: object
    UserSortField:
      enum:
        - id
        - email
        - status
        - created
        - updated
      type: string
    OrderfieldString:
      default: asc
      enum:
        - asc
        - desc
      type: string
    UserFilterParams:
      properties:
        created:
          $ref: '#/components/schemas/UserDateFilterParams'
        parent-id:
          minimum: 0
          type: integer
        updated:
          $ref: '#/components/schemas/UserDateFilterParams'
        user-id:
          items:
            minimum: 0
            type: integer
          type: array
      type: object
    PaginationPagination:
      properties:
        count:
          default: 0
          format: int32
          minimum: 0
          type: integer
        limit:
          default: 10
          format: int32
          minimum: 1
          type: integer
        page:
          default: 1
          format: int32
          minimum: 1
          type: integer
        total:
          default: 0
          format: int32
          minimum: 0
          type: integer
      type: object
    UserShortExtended:
      properties:
        created:
          format: date-time
          type: string
        email:
          examples:
            - theUser@probe.dev
          type: string
        first-name:
          examples:
            - J
          type: string
        id:
          minimum: 0
          type: integer
        last-name:
          examples:
            - Doe
          type: string
        role:
          $ref: '#/components/schemas/UsercommonRole'
        status:
          $ref: '#/components/schemas/UsercommonStatus'
        updated:
          format: date-time
          type: string
        username:
          examples:
            - theUser
          type: string
      required:
        - id
      type: object
    UsercommonRole:
      enum:
        - root
        - admin
        - user
        - sub
      type: string
  securitySchemes:
    api_key_header:
      description: API Key Security (Header).
      type: http
      scheme: bearer
    api_key:
      description: API Key Security
      type: apiKey
      name: token
      in: query
    jwt-token:
      description: JWT API Security (Token).
      type: apiKey
      name: jwt
      in: query
    jwt-cookie:
      description: JWT API Security (Cookie).
      type: apiKey
      name: jwt
      in: cookie
    jwt:
      description: JWT API Security (Header).
      type: http
      scheme: bearer
      bearerFormat: JWT

````